<?php
/**
 * BeautyDBManager
 * ギャル文字データベース接続クラス。
 * $Id: BeautyDBManager.inc
 * @author wanggb
 * @access public
 * @package jp.fishow.handler
 */

class CompassDBManager extends AbstractDatabaseManager {


	public static function &getInstance(){
		static $manager_;


		if ($manager_ == null) {
			$manager_ = new CompassDBManager();
			$manager_->init(COMPASS_DB, COMPASS_DB_USER, COMPASS_DB_PASS, COMPASS_DB_HOST, COMPASS_DB_PORT, COMPASS_DB_TYPE);
		}

		return $manager_;

	}

}

